From b609202a0c47647933ed33fca023ff7a89a73d9f Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Rodrigo=20Ram=C3=ADrez=20Norambuena?= <a@rodrigoramirez.com>
Date: Wed, 11 Sep 2019 23:58:23 -0300
Subject: [PATCH] Add tests for robots core view


diff --git a/pgweb/core/tests/__init__.py b/pgweb/core/tests/__init__.py
new file mode 100644
index 0000000..e69de29
diff --git a/pgweb/core/tests/test_views.py b/pgweb/core/tests/test_views.py
new file mode 100644
index 0000000..3d792c6
--- /dev/null
+++ b/pgweb/core/tests/test_views.py
@@ -0,0 +1,24 @@
+from django.test import Client
+from django.test import TestCase
+
+
+class robotsTest(TestCase):
+
+    def setUp(self):
+        self.client = Client()
+        self.url = '/robots.txt'
+
+    def test_content_type(self):
+        """Expect get content_type text/plain"""
+        response = self.client.get(self.url)
+        self.assertEqual(response.__getitem__('content-type'), 'text/plain')
+
+    def test_http_code(self):
+        """Expect get 200 http code"""
+        response = self.client.get(self.url)
+        self.assertEqual(response.status_code, 200)
+
+    def test_content(self):
+        """Expect get content"""
+        response = self.client.get(self.url)
+        assert 'User-agent' in str(response.content)
diff --git a/pgweb/core/views.py b/pgweb/core/views.py
index c1d34d1..0131a9b 100644
--- a/pgweb/core/views.py
+++ b/pgweb/core/views.py
@@ -143,6 +143,10 @@ def organisationform(request, itemid):
 
 # robots.txt
 def robots(request):
+    """
+    Return a text/plain HTTP Response as robots.txt
+    Ref: https://www.robotstxt.org/robotstxt.html
+    """
     return HttpResponse("""User-agent: *
 Disallow: /admin/
 Disallow: /account/
-- 
2.11.0

